%{?mingw_package_header}

Name:           mingw-opus
Version:        1.1
Release:        1%{?dist}
Summary:        Audio codec for use in low-delay speech and audio communication

License:        BSD
URL:            http://www.opus-codec.org/
Source0:        http://downloads.xiph.org/releases/opus/opus-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc

%description
The Opus codec is designed for interactive speech and audio transmission over
the Internet. It is designed by the IETF Codec Working Group and incorporates
technology from Skype's SILK codec and Xiph.Org's CELT codec.


%package -n mingw32-opus
Summary:        %{summary}

%description -n mingw32-opus
The Opus codec is designed for interactive speech and audio transmission over
the Internet. It is designed by the IETF Codec Working Group and incorporates
technology from Skype's SILK codec and Xiph.Org's CELT codec.

This package is MinGW compiled opus library for the Win32 target.


%package -n mingw64-opus
Summary:        %{summary}

%description -n mingw64-opus
The Opus codec is designed for interactive speech and audio transmission over
the Internet. It is designed by the IETF Codec Working Group and incorporates
technology from Skype's SILK codec and Xiph.Org's CELT codec.

This package is MinGW compiled opus library for the Win64 target.


%{?mingw_debug_package}


%prep
%setup -q -n opus-%{version}


%build
%mingw_configure --enable-custom-modes --disable-static --disable-doc
%mingw_make %{?_smp_mflags}


%install
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT
# remove libtool files
rm -f ${RPM_BUILD_ROOT}%{mingw32_libdir}/libopus.la
rm -f ${RPM_BUILD_ROOT}%{mingw64_libdir}/libopus.la


%files -n mingw32-opus
%doc COPYING
%dir %{mingw32_includedir}/opus
%{mingw32_bindir}/libopus-0.dll
%{mingw32_includedir}/opus/*.h
%{mingw32_libdir}/libopus.dll.a
%{mingw32_libdir}/pkgconfig/opus.pc
%{mingw32_datadir}/aclocal/opus.m4

%files -n mingw64-opus
%doc COPYING
%dir %{mingw64_includedir}/opus
%{mingw64_bindir}/libopus-0.dll
%{mingw64_includedir}/opus/*.h
%{mingw64_libdir}/libopus.dll.a
%{mingw64_libdir}/pkgconfig/opus.pc
%{mingw64_datadir}/aclocal/opus.m4


%changelog
* Sun Jan 26 2014 František Dvořák <valtri@civ.zcu.cz> - 1.1-1
- Initial package
